package mx.uam.tscc.example;
import java.sql.*;
import java.util.*;
import java.io.*;
public class JDBCExample2 {
  public static void main (String args[]) {
    try {
      // create a properties object
      Properties p = new Properties();
      // load the properties object from the file
      p.load(new FileInputStream("bin/mx/uam/tscc/example/brokerjdbc.txt"));
      // set the value of driver to the jdbcDriver property
      String driver = p.getProperty("jdbcDriver");
      Class.forName(driver);
      System.out.println("LOADED DRIVER  ---> " + driver);

      // set the value of url to the jdbcUrl property
      String url = p.getProperty("jdbcUrl");
      // set the value of url to the jdbcUser property
      String user = p.getProperty("jdbcUser");
      // set the value of url to the jdbcPassword property
      String pass = p.getProperty("jdbcPassword");
      // Connect to the database represented by url 
      // with username user and password pass
      Connection con =
      DriverManager.getConnection (url, user, pass);
      System.out.println("CONNECTED TO   ---> "+ url);

      // Use the Connection to create a Statement object
      Statement stmt = con.createStatement ();

      // Execute query using Statement, receive the ResultSet
      String qry ="SELECT * FROM Customer ORDER BY cust_name";
      ResultSet rs = stmt.executeQuery(qry);
      System.out.println("EXECUTED QUERY ---> " + qry);

      // Print the results, row by row
      System.out.println("\nPROCESSING RESULTS:\n");
      while (rs.next()) {
        System.out.println("  SSN    : " + 
          rs.getString("ssn").trim());
        System.out.println("  NAME   : " + 
          rs.getString("cust_name").trim());
        System.out.println("  ADDRESS: " + 
          rs.getString("address").trim());
        System.out.println("");
      }
      rs.close();
      stmt.close();
      con.close();
    } catch (SQLException e) {
      e.printStackTrace();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
}
